listener.h File Reference

Unsettled API - A listener for incoming connections. More...

`#include <proton/import_export.h>`
`#include <proton/types.h>`
`#include <proton/event.h>`
Include dependency graph for listener.h:

Go to the source code of this file.

## Functions

PNP_EXTERN pn_listener_t * | pn_listener (void)
| Create a listener to pass to pn_proactor_listen() More...
PNP_EXTERN void | pn_listener_free (pn_listener_t *l)
| Free a listener. More...
PNP_EXTERN void | pn_listener_accept2 (pn_listener_t *listener, pn_connection_t *connection, pn_transport_t *transport)
| Accept an incoming connection request using `transport` and `connection`, which can be configured before the call. More...
PNP_EXTERN void | pn_listener_accept (pn_listener_t *listener, pn_connection_t *connection)
PNP_EXTERN pn_condition_t * | pn_listener_condition (pn_listener_t *l)
| Get the error condition for a listener.
PNP_EXTERN pn_record_t * | pn_listener_attachments (pn_listener_t *listener)
| Get the attachments that are associated with a listener object.
PNP_EXTERN void | pn_listener_close (pn_listener_t *l)
| Close the listener. More...
PNP_EXTERN pn_proactor_t * | pn_listener_proactor (pn_listener_t *c)
| The proactor associated with a listener.
PNP_EXTERN pn_listener_t * | pn_event_listener (pn_event_t *event)
| Return the listener associated with an event. More...

## Detailed Description

Unsettled API - A listener for incoming connections.